---
- name: "Ensure GPG key"
  apt_key:
    url: "{{ docker_package_gpg_key_url }}"
    state: "present"

- name: "Ensure package repository"
  apt_repository:
    repo: "{{ docker_package_repository }}"
    state: "present"
    update_cache: true

- name: "Ensure Docker"
  package:
    name: "docker-ce"
    state: "present"

- name: "Ensure Docker CLI"
  package:
    name: "docker-ce-cli"
    state: "present"

- name: "Ensure Docker Python SDK"
  package:
    name: "python3-docker"
    state: "present"
